"use strict";

exports.__esModule = true;
exports.default = forwardRef;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function forwardRef(renderFn, _ref) {
  var displayName = _ref.displayName,
      propTypes = _ref.propTypes,
      defaultProps = _ref.defaultProps;

  var render = function render() {
    return renderFn.apply(void 0, arguments);
  };

  Object.assign(render, {
    displayName: displayName,
    propTypes: propTypes,
    defaultProps: defaultProps
  });
  return _react.default.forwardRef(render);
}